Bug 1632783 - [abrt] fwupd: fu_plugin_coldplug(): fwupd killed by SIGSEGV
Summary: [abrt] fwupd: fu_plugin_coldplug(): fwupd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:93e0eee4d77f49f8a511008119c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-25 14:17 UTC by Kamil Páral
Modified: 2018-10-30 17:26 UTC (History)
2 users (show)

Fixed In Version: fwupd-1.1.3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 17:26:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (78.90 KB, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: cgroup (283 bytes, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: core_backtrace (9.77 KB, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: dso_list (8.49 KB, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: environ (142 bytes, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: maps (53.79 KB, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: mountinfo (5.88 KB, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: open_fds (2.25 KB, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details
File: var_log_messages (115 bytes, text/plain)
2018-09-25 14:17 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2018-09-25 14:17:14 UTC
Version-Release number of selected component:
fwupd-1.1.2-1.fc29

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/fwupd/fwupd
crash_function: fu_plugin_coldplug
executable:     /usr/libexec/fwupd/fwupd
journald_cursor: s=551a48886a754a938f7513246a6b52cf;i=1d2297;b=c49ab7074a3c4aee85fc4405babe008c;m=489b9dd4d;t=576b22b934198;x=60fcc15c0c128fcb
kernel:         4.18.9-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 fu_plugin_coldplug at ../plugins/uefi/fu-plugin-uefi.c:710
 #1 fu_plugin_runner_recoldplug at ../src/fu-plugin.c:1000
 #2 fu_engine_plugins_coldplug at ../src/fu-engine.c:2827
 #3 fu_engine_recoldplug_delay_cb at ../src/fu-engine.c:3060

Comment 1 Kamil Páral 2018-09-25 14:17:21 UTC
Created attachment 1486762 [details]
File: backtrace

Comment 2 Kamil Páral 2018-09-25 14:17:22 UTC
Created attachment 1486763 [details]
File: cgroup

Comment 3 Kamil Páral 2018-09-25 14:17:24 UTC
Created attachment 1486764 [details]
File: core_backtrace

Comment 4 Kamil Páral 2018-09-25 14:17:25 UTC
Created attachment 1486765 [details]
File: cpuinfo

Comment 5 Kamil Páral 2018-09-25 14:17:27 UTC
Created attachment 1486766 [details]
File: dso_list

Comment 6 Kamil Páral 2018-09-25 14:17:28 UTC
Created attachment 1486767 [details]
File: environ

Comment 7 Kamil Páral 2018-09-25 14:17:30 UTC
Created attachment 1486768 [details]
File: exploitable

Comment 8 Kamil Páral 2018-09-25 14:17:31 UTC
Created attachment 1486769 [details]
File: limits

Comment 9 Kamil Páral 2018-09-25 14:17:34 UTC
Created attachment 1486770 [details]
File: maps

Comment 10 Kamil Páral 2018-09-25 14:17:35 UTC
Created attachment 1486771 [details]
File: mountinfo

Comment 11 Kamil Páral 2018-09-25 14:17:36 UTC
Created attachment 1486772 [details]
File: open_fds

Comment 12 Kamil Páral 2018-09-25 14:17:38 UTC
Created attachment 1486773 [details]
File: proc_pid_status

Comment 13 Kamil Páral 2018-09-25 14:17:39 UTC
Created attachment 1486774 [details]
File: var_log_messages

Comment 14 Richard Hughes 2018-10-12 11:53:41 UTC
There's a fix for this upstream, will be fixed in an update soon.

Comment 15 Fedora Update System 2018-10-12 11:59:51 UTC
fwupd-1.1.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3e770a0027

Comment 16 Fedora Update System 2018-10-12 18:26:20 UTC
fwupd-1.1.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3e770a0027

Comment 17 Christian Stadelmann 2018-10-22 21:00:06 UTC
The bug is still present for me. Backtrace:


Thread 1 (Thread 0x7f4aa1e32000 (LWP 4882)):
#0  0x00005569e9cc1ab2 in fu_engine_plugins_coldplug (self=0x5569eb338820 [FuEngine], is_recoldplug=0) at ../src/fu-engine.c:2846
        error = 0x0
        plugin = 0x5569eb375d10 [FuPlugin]
        i = 1
        str = 0x5569eb4f8840
#1  0x00005569e9cca76a in fu_engine_load (self=0x5569eb338820 [FuEngine], error=error@entry=0x7ffd7826e7f8) at ../src/fu-engine.c:3694
        __func__ = "fu_engine_load"
#2  0x00005569e9cba55a in main (argc=<optimized out>, argv=<optimized out>) at ../src/fu-main.c:1265
        immediate_exit = 0
        timed_exit = 0
        options = 
            {{long_name = 0x5569e9ce3f7b "timed-exit", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7ffd7826e7f4, description = 0x5569e9ce3f86 "Exit after a small delay", arg_description = 0x0}, {long_name = 0x5569e9ce3f9f "immediate-exit", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7ffd7826e7f0, description = 0x5569e9ce41e0 "Exit after the engine has loaded", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
        priv = 0x5569eb3340e0
        error = 0x0
        context = 0x5569eb333850

Comment 18 Fedora Update System 2018-10-30 17:26:18 UTC
fwupd-1.1.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.